// node native
import * as path from 'path';

export {
  path
}

// pushrocks scope
import * as lik from '@pushrocks/lik';
import * as smartfile from '@pushrocks/smartfile';
import * as smartjson from '@pushrocks/smartjson';
import * as smartpath from '@pushrocks/smartpath';
import * as smartpromise from '@pushrocks/smartpromise';

export {
  lik,
  smartfile,
  smartjson,
  smartpath,
  smartpromise
}

// tsclass
import type * as tsclass from '@tsclass/tsclass';

export {
  tsclass
}

// third party scope
import * as mongodb from 'mongodb';

export {
  mongodb
}
